Plantronics + Polycom. Now together as Poly Logo

Unable to update Voyager Focus and BT600 "Multiple devices connected"

SOLVED
unclejimbo
Occasional Visitor

Unable to update Voyager Focus and BT600 "Multiple devices connected"

I'm on Windows 11 FWIW

 

Just installed the Plantronics Hub for the first time and would like to apply the firmware updates that are available for both the headset and the BT dongle.

 

When I go to update I get a warning...

"Multiple devices connected

Please connect only the device you wish to update".

Despite taking out the BT600 adapter and/or the Voyager headset (i.e. I only have one connected at a time) the warning keeps appearing and refuses to let me update).

Anyone else getting this or have any idea how to resolve?

Message 1 of 2
1 ACCEPTED SOLUTION

Accepted Solutions
bhupender
Polycom Employee & Community Manager

Re: Unable to update Voyager Focus and BT600 "Multiple devices connected"

Hello @unclejimbo,

 

Welcome to Poly Community.

 

We see it is happening on Windows 11. Sadly it is not listed as supported OS in our compatibility so we suggest to use a Windows 10/8 PC to run updates as a basic.

 

Please remember, if you see a post that helped you, and it answers your question, please mark it as an "Accept as Solution".
 
The title Admin is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. This forum replies or post is based upon my personal experience and does not reflect the opinion or view of my employer. Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and may be answered on weekends, bank holidays or personal holidays.

 

Best Regards,


Bhupender

View solution in original post

Message 2 of 2
1 REPLY 1
bhupender
Polycom Employee & Community Manager

Re: Unable to update Voyager Focus and BT600 "Multiple devices connected"

Hello @unclejimbo,

 

Welcome to Poly Community.

 

We see it is happening on Windows 11. Sadly it is not listed as supported OS in our compatibility so we suggest to use a Windows 10/8 PC to run updates as a basic.

 

Please remember, if you see a post that helped you, and it answers your question, please mark it as an "Accept as Solution".
 
The title Admin is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. This forum replies or post is based upon my personal experience and does not reflect the opinion or view of my employer. Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and may be answered on weekends, bank holidays or personal holidays.

 

Best Regards,


Bhupender

Message 2 of 2